#
# Conditional build:
%bcond_without	opengl	# OpenGL support
#
Summary:	A free Open Source 2D MMORPG
Summary(pl.UTF-8):	Gra typu MMORPG 2D o otwartych źródłach
Name:		tmw
Version:	0.5.2
Release:	7
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://downloads.sourceforge.net/themanaworld/%{name}-%{version}.tar.bz2
# Source0-md5:	c843ef420aced82db1e51fa14e80174a
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-build.patch
Patch2:		%{name}-link.patch
URL:		http://themanaworld.org/
%{?with_opengl:BuildRequires:	OpenGL-GLU-devel}
%{?with_opengl:BuildRequires:	OpenGL-devel}
BuildRequires:	SDL-devel
BuildRequires:	SDL_gfx-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_net-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	cmake >= 2.6
BuildRequires:	curl-devel
BuildRequires:	gettext-tools
BuildRequires:	guichan-devel >= 0.8.0
BuildRequires:	guichan-sdl-devel >= 0.8.0
BuildRequires:	libpng-devel
BuildRequires:	libxml2-devel >= 2
BuildRequires:	physfs-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	xorg-lib-libX11-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Mana World (TMW) is a serious effort to create an innovative free
and open source MMORPG. TMW uses 2D graphics and aims to create a
large and diverse interactive world. It is licensed under the GPL,
making sure this game can't ever run away from you.

The project includes the development of both a client and a server, as
well as the development of an online world. At the moment we're making
alpha releases of the client, while our server is in early
development. The eAthena free software Ragnarok Online server is used
until our own server has matured enough to replace it. Once ready,
we'll be making releases of our server too so anybody will be free to
set up their own server and start building their own online world.

%description -l pl.UTF-8
The Mana World (TMW) to poważna próba stworzenia innowacyjnej darmowej
gry MMORPG z otwartymi źródłami. TMW używa grafiki 2D i ma stworzyć
duży i różnorodny interaktywny świat. Jest licencjonowana na warunkach
GPL, dzięki czemu nigdy nie zostanie zabrana.

Projekt obejmuje rozwój zarówno klienta jak i serwera, a także
tworzenie świata online. Aktualnie są tworzone wydania alpha klienta,
natomiast serwer jest we wczesnym etapie rozwoju. Do czasu osiągnięcia
dojrzałości serwera TMW używany jest darmowy serwer eAthena Ragnarok
Online.

%prep
%setup -q -c
%patch -P0 -p1
%patch -P1 -p1
%patch -P2 -p1

%build
install -d build
cd build
%cmake .. \
	%{!?with_opengl:-DWITH_OPENGL=OFF}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/mana
%{_datadir}/mana
%{_desktopdir}/mana.desktop
%{_pixmapsdir}/mana.png
%changelog
* Tue Jul 15 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tmw.git;a=log;h=master

* Tue Jul 15 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> d7981ff
- Release 7 (by relup.sh)

* Tue Jul 15 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 6291e83
- Fix applying patches.

* Sat Jul 15 2017 Jakub Bogusz <qboosh@pld-linux.org> 6d25620
- added link patch (needs explicit linking with -lX11)
- updated BRs for guichan interfaces split
- let opengl bcond actually do anything
- release 6

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> dd968fd
- updated gettext BR

* Thu Nov 07 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 04fc714
- rel 5; build fixed

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 457a4df
- release 4 (by relup.sh)

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> aa7146e
- release 3

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 312f30c
- release 2

* Wed Apr 27 2011 lisu <lisu@pld-linux.org> cdc6ac1
- obsoleted

* Wed Apr 27 2011 lisu <lisu@pld-linux.org> 4a2f415
- updated to 0.5.2
- switched to cmake build system
- more verbose files

* Sun Feb 28 2010 sparky <sparky@pld-linux.org> 7ded4a5
- BR: gettext-devel, libpng-devel

* Sat Feb 27 2010 hawk <hawk@pld-linux.org> 7ad42d1
- release 2

* Thu Jun 18 2009 lisu <lisu@pld-linux.org> ff15c3b
- 0.0.29.1

* Sat May 16 2009 hawk <hawk@pld-linux.org> ac932e5
- BR: SDL_ttf, release 2

* Sat May 16 2009 hawk <hawk@pld-linux.org> fc67301
- updated for 0.0.29

* Sat May 16 2009 hawk <hawk@pld-linux.org> 32921de
- updated to 0.0.29

* Mon Feb 16 2009 lisu <lisu@pld-linux.org> 4d03556
- remove empty ChangeLog from docs

* Mon Feb 16 2009 lisu <lisu@pld-linux.org> 0c5156f
- add -lguichan_sdl to LIBS manually

* Mon Feb 16 2009 lisu <lisu@pld-linux.org> 4c75108
- up to 0.0.28.1
- fix problem with guichan_sdl library (patch|)
- use find_lang macro

* Mon Feb 02 2009 lisu <lisu@pld-linux.org> 91c8521
- 0.0.28
- doesn't build (TODO)
- adapter

